DataCubeControllerScheduleInMemoryCubes Method |
PUT /DataCube/ScheduleInMemoryCubes/
Configure in-memory storage and the referenced cubes processing priorities for the specified data cubes.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("ScheduleInMemoryCubes")]
public IActionResult ScheduleInMemoryCubes(
[FromBodyAttribute] ScheduleDataCubesOptions options,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("ScheduleInMemoryCubes")>
Public Function ScheduleInMemoryCubes (
<FromBodyAttribute> options As ScheduleDataCubesOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"ScheduleInMemoryCubes")]
IActionResult^ ScheduleInMemoryCubes(
[FromBodyAttribute] ScheduleDataCubesOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("ScheduleInMemoryCubes")>]
member ScheduleInMemoryCubes :
[<FromBodyAttribute>] options : ScheduleDataCubesOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsScheduleDataCubesOptions
The options used to set up the data cube storage. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
IActionResultA status code indicating success or the reason for failure.
See Also